// CFTTSkinningTask - [2020-04-13 11:57:46]
#ifndef _TFTTCACHELOOKUP_H_
#define _TFTTCACHELOOKUP_H_

#include "common.h"

/*
0020FD38 TFTTCacheLookup::TFTTCacheLookup(TFTTCacheInstance,uchar,uchar)
0020FE5A TFTTCacheLookup::TFTTCacheLookup()
00210BEC TFTTCacheLookup::Hash()
*/

struct TFTTCacheInstance {
  TFTTCacheInstance() __attribute__((always_inline)) {
    ci_0 = 0xff;
    ci_1 = 0xff;
  }
  uchar ci_0;
  uchar ci_1;
};

class TFTTCacheLookup {
public:
  // 0020FD38
  TFTTCacheLookup(TFTTCacheInstance tCacheInstance, uchar uc2, uchar uc3);

  // 0020FE5A
  TFTTCacheLookup();

  // 00210BEC
  void Hash();

  uint dhash_0;
  TFTTCacheInstance tCacheInstance_4;
  uchar byte_6;
  uchar byte_7;
};

#endif  //_TFTTCACHELOOKUP_H_